Skip to main content
GET
/
v1
/
advocates
List Advocates
curl --request GET \
  --url https://api.getreditus.com/api/v1/advocates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getreditus.com/api/v1/advocates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getreditus.com/api/v1/advocates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {
        "id": "<string>",
        "uid": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "slug": "<string>",
        "referral_link": "<string>",
        "company_id": "<string>",
        "company": "<string>",
        "created_at": 123
      }
    }
  ],
  "meta": {
    "pagination": {
      "page": 123,
      "per_page": 123,
      "has_more": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

created_at_lt
string

Created before (e.g. "2022-12-24%2012:47:45%20+0200")

created_at_gt
string

Created after (e.g. "2021-11-23%2012:47:45%20+0200")

page
integer

Page number

per_page
integer

Records to be displayed per page

Required range: x <= 50

Response

200 - application/json

Successful response

data
object[]
meta
object